mutex.hpp File Reference

defines the mutex C++ class More...

`#include "config.h"`
`#include "exceptions.hpp"`
`#include <string>`

Go to the source code of this file.

## Classes

class | libthreadar::mutex
| Wrapper around the Posix pthread_mutex_t C objects. More...

## Namespaces

namespace | libthreadar
| This is the only namespace used in libthreadar and all symbols provided by libthreadar are member of this namespace.

## Detailed Description

defines the mutex C++ class

Definition in file mutex.hpp.